# /etc/profile.d/local.sh 
# Local additions to /etc/profile to simulate Teaching System environment
# This should be kept to the bare minimum every user needs.

# This is used by pine/alpine to determine a sane default config for engid
# users (see /etc/pine.conf)
eval `/usr/local/bin/aliasid -c -s`
export CRSID

sh_help() { builtin help $*; }
help() { /usr/local/bin/help $*; }
        no_proxy=eng.cam.ac.uk
        export no_proxy
if [ `id -u` -gt 1000 ]; then
        umask 077
fi

# If no user .profile, run system one.
if [ ! -r $HOME/.profile ]
then
  . /usr/local/etc/d.profile
fi
