# CUED default .profile for /bin/sh, /bin/bash or /bin/ksh initialization.
# Executed if user has no .profile in his/her home directory

# /usr/local/etc/d.profile

# Set up the shell environment:
export PS2="> "
export EDITOR=emacs

# Don't treat unset environment variables as an error on evaluation
set +u

# limit cputime to 1 day.
ulimit -t 86400

# set umask more permissively if uid == gid > 200000
uid=`id -u`
gid=`id -g`
if [ $uid -gt 200000 -a $uid -eq $gid ]
then
	umask 0007
fi
